Show / Hide Table of Contents

# Class DiscordRestConfig

Represents a configuration class for DiscordRestClient.

##### Inheritance

System.Object
DiscordConfig
DiscordRestConfig
DiscordSocketConfig

##### Inherited Members

DiscordConfig.APIVersion
DiscordConfig.VoiceAPIVersion
DiscordConfig.Version
DiscordConfig.UserAgent
DiscordConfig.APIUrl
DiscordConfig.CDNUrl
DiscordConfig.InviteUrl
DiscordConfig.DefaultRequestTimeout
DiscordConfig.MaxMessageSize
DiscordConfig.MaxMessagesPerBatch
DiscordConfig.MaxUsersPerBatch
DiscordConfig.MaxGuildsPerBatch
DiscordConfig.MaxUserReactionsPerBatch
DiscordConfig.MaxAuditLogEntriesPerBatch
DiscordConfig.DefaultRetryMode
DiscordConfig.LogLevel
DiscordConfig.RateLimitPrecision
DiscordConfig.UseSystemClock
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class DiscordRestConfig : DiscordConfig

### Properties

| Improve this Doc View Source

#### RestClientProvider

Gets or sets the provider used to generate new REST connections.

##### Declaration

    public RestClientProvider RestClientProvider { get; set; }

##### Property Value

Type | Description
--- | ---
RestClientProvider |